Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
runAutoLqa
Run Auto LQA
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/runAutoLqa \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobParts": [
    {
      "uid": "3HYnHHLkTPJfMxBCDbPXFe"
    }
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/runAutoLqa"

payload = { "jobParts": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({jobParts: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/runAutoLqa', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Body

application/json
jobParts
object[]
Required array length: 1 - 100 elements
projectWorkflowStep
object

Response

Accepted